<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.mini.capi.biz.mapper.BizMonitorAccountMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.mini.capi.biz.domain.BizMonitorAccount">
        <id column="account_id" property="accountId" />
        <result column="create_time" property="createTime" />
        <result column="host_id" property="hostId" />
        <result column="ssh_username" property="sshUsername" />
        <result column="ssh_password" property="sshPassword" />
        <result column="ssh_port" property="sshPort" />
        <result column="initial_path" property="initialPath" />
        <result column="timeout_seconds" property="timeoutSeconds" />
        <result column="ustatus" property="ustatus" />
        <result column="remark" property="remark" />
        <result column="update_time" property="updateTime" />
        <result column="f_tenant_id" property="fTenantId" />
        <result column="f_flow_id" property="fFlowId" />
        <result column="f_flow_task_id" property="fFlowTaskId" />
        <result column="f_flow_state" property="fFlowState" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        create_time, account_id, host_id, ssh_username, ssh_password, ssh_port, initial_path, timeout_seconds, ustatus, remark, update_time, f_tenant_id, f_flow_id, f_flow_task_id, f_flow_state
    </sql>

</mapper>
